import requests
from api_auth import APICredentials, APIParams
 
class DRMPolicies:
    def __init__(self):
        self.host = "https://services.uplynk.com"
 
    def run(self):
        """
        Delete a DRM policy.
        """
        self._delete_drm_policy()
 
    def _delete_drm_policy(self):
        policy_id = 'abcdef123456ghijkl7890123mno456'
        url = "{}{}{}".format(self.host, "/api/v3/drm/policy/", policy_id)
 
        response = requests.delete(
            url, params=APIParams(APICredentials()).get_params({})
        )
 
        print(response.json())
 
DRMPolicies().run()